export default class HamalronActor extends Actor {

  async _preCreate(data, options, user) {
    await super._preCreate(data, options, user)

    if (this.type === "personnage") {
      this.updateSource({
        prototypeToken: {
          sight: { enabled: true },
          actorLink: true,
          disposition: CONST.TOKEN_DISPOSITIONS.FRIENDLY,
        }
      })
    }
  }

}
